
 LinHES - Bug # 812: carl9170 firmware not found during boot

Status: Closed Priority: Normal
Author: lueddich Category: Other
Created: 02/20/2012 Assignee: brfransen
Updated: 09/05/2013 Due date:
Description: I installed carl9170-1.fw in /lib/firmware, ran thwough the linhes setup gui in mythfrontend to configure WLAN 

and were online in my WLAN with WPA security using carl9170 driver for my AVM Fritz WLAN N stick.

The problem is during boot time - the firmware is not found then! Here's the dmesg from that point of time:

[    2.283025] usb 1-4: reset high speed USB device number 2 using ehci_hcd
[    2.420015] usbcore: registered new interface driver carl9170
[    2.421419] usb 1-4: firmware not found.
[    2.425387] usbcore: registered new interface driver ar9170usb

After that, there is no /dev/wlan0 and WLAN is not working.

I detach the stick and retach it again - it is recognized and working using carl9170 driver:

[23083.479004] usb 1-4: USB disconnect, device number 2
[23085.813023] usb 1-4: new high speed USB device number 4 using ehci_hcd
[23085.984860] scsi7 : usb-storage 1-4:1.0
[23086.994388] scsi 7:0:0:0: CD-ROM            FRITZ!   WLAN selfinstall 1.00 PQ: 0 ANSI: 0 CCS
[23086.996003] sr1: scsi3-mmc drive: 52x/52x cd/rw xa/form2 cdda tray
[23086.996154] sr 7:0:0:0: Attached scsi CD-ROM sr1
[23086.996256] sr 7:0:0:0: Attached scsi generic sg2 type 5
[23111.910608] usb 1-4: USB disconnect, device number 4
[23113.162020] usb 1-4: new high speed USB device number 5 using ehci_hcd
[23113.417022] usb 1-4: reset high speed USB device number 5 using ehci_hcd
[23113.596901] usb 1-4: driver   API: 1.9.2 2011-01-22 [1-1]
[23113.596906] usb 1-4: firmware API: 1.9.2 2010-12-25
[23114.043020] ath: EEPROM regdomain: 0x8114
[23114.043024] ath: EEPROM indicates we should expect a country code
[23114.043026] ath: doing EEPROM country->regdmn map search
[23114.043028] ath: country maps to regdmn code: 0x37
[23114.043029] ath: Country alpha2 being used: DE
[23114.043031] ath: Regpair used: 0x37
[23114.115634] ieee80211 phy1: Selected rate control algorithm 'minstrel_ht'
[23114.117441] Registered led device: carl9170-phy1::tx
[23114.117462] Registered led device: carl9170-phy1::assoc
[23114.117465] usb 1-4: Atheros AR9170 is registered as 'phy1'

I run through the network settings in mythfrontend again - it still has all my settings, I just deactivate wlan0 one 
time, save the settings, run through the wizard again, reactivate it and WLAN is working again - till the next 
boot.

I do not find the difference between boot and later attempts and in the forum, there was nobody that could 
help me.

BTW: I am running a clean install of 7.2 at the moment, just upgraded from 6.04 using the hard way with a 
new install and backup-restore.
Associated revisions
09/05/2013 12:51 pm - brfransen
linux-firmware: update to 20130905. closes #812

History
02/25/2012 11:09 am - brfransen
- Target version deleted (7.2)

09/05/2013 12:26 pm - brfransen
- Assignee set to brfransen

- Target version set to 8.0

09/05/2013 12:51 pm - brfransen
- % Done changed from 0 to 100

- Status changed from New to Closed

Applied in changeset commit:ba306a92b3dfc7436d2a08b564d2c6cb0426c2b8.
